#include "fileio.h"
#include <fstream> // To use ifstream
#include <sstream>
#include <stdio.h>
#include <iostream>

rescueinput filetoinput(string filepath) {
  string var, line, item;
  ifstream f(filepath);

  rescueinput input;

  if (f.good()!=true) std::cout << "File error" << '\n';
  while (getline(f,line)) {
      var=line.substr(line.find('#')+1,line.find('#')+3);
      line=line.substr(0,line.find('#'));
      if (var.find('n')!=string::npos) input.n=stoi(line);
      if (var.find('u')!=string::npos) input.u=stod(line);
      if (var.find('N')!=string::npos) {
        stringstream iss(line); int i=0;
        while ((getline(iss,item,' ')) and (i<=input.n)) {
          input.Nt0[i]=stol(item);
          i++;
        }
      }
      if (var.find('l')!=string::npos) {
        stringstream iss(line); int i=0;
        while ((getline(iss,item,' ')) and (i<=input.n)) {
          input.la[i]=stod(item);
          i++;
        }
      }
      if (var.find('m')!=string::npos) {
        stringstream iss(line); int i=0;
        while ((getline(iss,item,' ')) and (i<=input.n)) {
          input.mu[i]=stod(item);
          i++;
        }
      }
      if (var.find('S')!=string::npos) {
        stringstream iss(line); int i=0;
        while ((getline(iss,item,' ')) and (i<=input.n)) {
          input.laSGV[i]=stod(item);
          i++;
        }
      }
  }

  return input;
}
